MMEX Desktop v1.3.4.beta.2 is ready https://sourceforge.net/projects/moneym ... .4-bata.2/

Kubuntu 15.04 - Unable to install

Almost any Unix workstation with GTK+ 2.0 and above.
Nikolay
MMEX Developer
Posts: 1171
Joined: Sat Dec 06, 2008 2:27 pm
Are you a spam bot?: No
Location: Sankt-Petersburg, Russia

Re: Kubuntu 15.04 - Unable to install

Post by Nikolay »


Nikolay
MMEX Developer
Posts: 1171
Joined: Sat Dec 06, 2008 2:27 pm
Are you a spam bot?: No
Location: Sankt-Petersburg, Russia

Re: Kubuntu 15.04 - Unable to install

Post by Nikolay »

Message from David Jones:

Compiled a deb package on my computer and uploaded it here - http://s000.tinyupload.com/index.php?file_id=00321309975761478300If it doesn't work, give me a shout and I'll try and do better

Geoplace
New MMEX User
Posts: 11
Joined: Sat Aug 08, 2015 2:25 pm
Are you a spam bot?: No

Re: Kubuntu 15.04 - Unable to install

Post by Geoplace »

I'm having the same problem when compiling in OpenSuse13.2,
Do someone have suggestions?

oshunluvr
New MMEX User
Posts: 2
Joined: Mon Nov 02, 2015 2:35 pm
Are you a spam bot?: No

Re: Kubuntu 15.04 - Unable to install

Post by oshunluvr »

I tried installing mmex using the above provided downloaded .deb file. The package installed without error, however the following dependancy was unmet:

Code: Select all

mmex: error while loading shared libraries: libwx_gtk2u_webview-3.0.so.0: cannot open shared object file: No such file or directory
I installed the above referenced package, and the next attempt at mmex resulted in the following run time error:

Code: Select all

mmex: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by mmex)
The package for this file was installed and appeas to be in the correct location. I ran

Code: Select all

strings /usr/lib/x86_64-linux-gnu/libstdc++.so.6 | grep GLIBCXX
which resulted in

Code: Select all

GLIBCXX_3.4
GLIBCXX_3.4.1
GLIBCXX_3.4.2
GLIBCXX_3.4.3
GLIBCXX_3.4.4
GLIBCXX_3.4.5
GLIBCXX_3.4.6
GLIBCXX_3.4.7
GLIBCXX_3.4.8
GLIBCXX_3.4.9
GLIBCXX_3.4.10
GLIBCXX_3.4.11
GLIBCXX_3.4.12
GLIBCXX_3.4.13
GLIBCXX_3.4.14
GLIBCXX_3.4.15
GLIBCXX_3.4.16
GLIBCXX_3.4.17
GLIBCXX_3.4.18
GLIBCXX_3.4.19
GLIBCXX_3.4.20
GLIBCXX_DEBUG_MESSAGE_LENGTH
After some web research on similar errors, I added the ubuntu-toolchain-r/test ppa to my system and ran dist-upgrade. The next attempt at mmex results in the this error:

Code: Select all

*** Error in `mmex': free(): invalid pointer: 0x0000000000beba40 ***
Aborted (core dumped)
Sounds like a C error, but that's way outside my abilities. I can provide the .crash file if anyone would like to continue trouble shooting this.

I'm kinda disappointed as I've been looking for a good simple money manager and the cross-platform potential is great.

naskoistaken
New MMEX User
Posts: 11
Joined: Wed Aug 19, 2015 10:02 am
Are you a spam bot?: No

Re: Kubuntu 15.04 - Unable to install

Post by naskoistaken »

[b][url=https://github.com/dwrj87]dwrj87[/url][/b] wrote:I'm afraid that I haven't been able to figure this out, and I don't think I'll have the time to do it sorry
So, not much joy for Linux users...

Nikolay
MMEX Developer
Posts: 1171
Joined: Sat Dec 06, 2008 2:27 pm
Are you a spam bot?: No
Location: Sankt-Petersburg, Russia

Re: Kubuntu 15.04 - Unable to install

Post by Nikolay »


Post Reply